SplFixedArray::fromArray
SplFixedArray::key
SplFixedArray
PHP Manual

# SplFixedArray::getSize

(PHP 5 >= 5.3.0)

SplFixedArray::getSize — Gets the size of the array

### Description

public int SplFixedArray::getSize ( void )

Gets the size of the array.

### Parameters

This function has no parameters.

### Return Values

Returns the size of the array, as an integer .

### Examples

Example #1 SplFixedArray::getSize() example

`<?php
$array = new SplFixedArray(5);
echo $array->getSize()."\n";
$array->setSize(10);
echo $array->getSize()."\n";
?>`

The above example will output:

    5
    10

SplFixedArray::fromArray
SplFixedArray::key
SplFixedArray
PHP Manual